package com.jeesharp.business.modules.marketing.tenantQrcode.service;

import com.jeesharp.business.modules.marketing.tenantQrcode.entity.MarketingTenantQrcode;
import com.jeesharp.business.modules.marketing.tenantQrcode.vo.MarketingTenantQrcodeQueryVO;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;

/**
 * 店铺推广二维码领域服务。
 *
 * @author jeesharp
 * @since 2026-06-25
 */
public interface MarketingTenantQrcodeService extends BaseInterface<MarketingTenantQrcode, MarketingTenantQrcodeQueryVO> {

    MarketingTenantQrcode createMarketingTenantQrcode(MarketingTenantQrcode entity);

    MarketingTenantQrcode getByWxScene(String wxScene);

    MarketingTenantQrcode getByTenantAndChannel(String tenantId, String channelCode);

    MarketingTenantQrcode getByTenantAndChannelIncludingDeleted(String tenantId, String channelCode);

    MarketingTenantQrcode restoreDeletedMarketingTenantQrcode(MarketingTenantQrcode entity);

    void incrementScanCount(String id);
}
